package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.util.Date;
import java.io.Serializable;

/**
 * <p>
 * 试听课计划
 * </p>
 *
 * @author lemeng
 * @since 2019-09-30
 */
@TableName("demo_group_courses_plan")
public class DemoGroupCoursesPlan extends Model<DemoGroupCoursesPlan> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @TableField("demo_group_id_")
    private Long demoGroupId;
    @TableField("create_time_")
    private Date createTime;
    /**
     * 是否被预约：0未预约；1已预约
     */
    @TableField("status_")
    private Integer status;
    @TableField("course_date_")
    private Date courseDate;
    @TableField("start_time_")
    private Date startTime;
    @TableField("end_time_")
    private Date endTime;


    public Long getId() {
        return id;
    }

    public DemoGroupCoursesPlan setId(Long id) {
        this.id = id;
        return this;
    }

    public Long getDemoGroupId() {
        return demoGroupId;
    }

    public DemoGroupCoursesPlan setDemoGroupId(Long demoGroupId) {
        this.demoGroupId = demoGroupId;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public DemoGroupCoursesPlan setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public DemoGroupCoursesPlan setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCourseDate() {
        return courseDate;
    }

    public DemoGroupCoursesPlan setCourseDate(Date courseDate) {
        this.courseDate = courseDate;
        return this;
    }

    public Date getStartTime() {
        return startTime;
    }

    public DemoGroupCoursesPlan setStartTime(Date startTime) {
        this.startTime = startTime;
        return this;
    }

    public Date getEndTime() {
        return endTime;
    }

    public DemoGroupCoursesPlan setEndTime(Date endTime) {
        this.endTime = endTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "DemoGroupCoursesPlan{" +
                ", id=" + id +
                ", demoGroupId=" + demoGroupId +
                ", createTime=" + createTime +
                ", status=" + status +
                ", courseDate=" + courseDate +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                "}";
    }
}
